/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package it.tref.liferay.mapit.map.model;

import com.liferay.portal.kernel.util.Validator;
import com.liferay.portal.model.ModelWrapper;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * This class is a wrapper for {@link Plugin}.
 * </p>
 *
 * @author
 * @see Plugin
 * @generated
 */
public class PluginWrapper implements Plugin, ModelWrapper<Plugin> {
	public PluginWrapper(Plugin plugin) {
		_plugin = plugin;
	}

	@Override
	public Class<?> getModelClass() {
		return Plugin.class;
	}

	@Override
	public String getModelClassName() {
		return Plugin.class.getName();
	}

	@Override
	public Map<String, Object> getModelAttributes() {
		Map<String, Object> attributes = new HashMap<String, Object>();

		attributes.put("pluginId", getPluginId());
		attributes.put("createDate", getCreateDate());
		attributes.put("modifiedDate", getModifiedDate());
		attributes.put("name", getName());
		attributes.put("version", getVersion());
		attributes.put("mapItVersion", getMapItVersion());
		attributes.put("context", getContext());
		attributes.put("active", getActive());

		return attributes;
	}

	@Override
	public void setModelAttributes(Map<String, Object> attributes) {
		Long pluginId = (Long)attributes.get("pluginId");

		if (pluginId != null) {
			setPluginId(pluginId);
		}

		Date createDate = (Date)attributes.get("createDate");

		if (createDate != null) {
			setCreateDate(createDate);
		}

		Date modifiedDate = (Date)attributes.get("modifiedDate");

		if (modifiedDate != null) {
			setModifiedDate(modifiedDate);
		}

		String name = (String)attributes.get("name");

		if (name != null) {
			setName(name);
		}

		String version = (String)attributes.get("version");

		if (version != null) {
			setVersion(version);
		}

		String mapItVersion = (String)attributes.get("mapItVersion");

		if (mapItVersion != null) {
			setMapItVersion(mapItVersion);
		}

		String context = (String)attributes.get("context");

		if (context != null) {
			setContext(context);
		}

		Boolean active = (Boolean)attributes.get("active");

		if (active != null) {
			setActive(active);
		}
	}

	/**
	* Returns the primary key of this plugin.
	*
	* @return the primary key of this plugin
	*/
	@Override
	public long getPrimaryKey() {
		return _plugin.getPrimaryKey();
	}

	/**
	* Sets the primary key of this plugin.
	*
	* @param primaryKey the primary key of this plugin
	*/
	@Override
	public void setPrimaryKey(long primaryKey) {
		_plugin.setPrimaryKey(primaryKey);
	}

	/**
	* Returns the plugin ID of this plugin.
	*
	* @return the plugin ID of this plugin
	*/
	@Override
	public long getPluginId() {
		return _plugin.getPluginId();
	}

	/**
	* Sets the plugin ID of this plugin.
	*
	* @param pluginId the plugin ID of this plugin
	*/
	@Override
	public void setPluginId(long pluginId) {
		_plugin.setPluginId(pluginId);
	}

	/**
	* Returns the create date of this plugin.
	*
	* @return the create date of this plugin
	*/
	@Override
	public java.util.Date getCreateDate() {
		return _plugin.getCreateDate();
	}

	/**
	* Sets the create date of this plugin.
	*
	* @param createDate the create date of this plugin
	*/
	@Override
	public void setCreateDate(java.util.Date createDate) {
		_plugin.setCreateDate(createDate);
	}

	/**
	* Returns the modified date of this plugin.
	*
	* @return the modified date of this plugin
	*/
	@Override
	public java.util.Date getModifiedDate() {
		return _plugin.getModifiedDate();
	}

	/**
	* Sets the modified date of this plugin.
	*
	* @param modifiedDate the modified date of this plugin
	*/
	@Override
	public void setModifiedDate(java.util.Date modifiedDate) {
		_plugin.setModifiedDate(modifiedDate);
	}

	/**
	* Returns the name of this plugin.
	*
	* @return the name of this plugin
	*/
	@Override
	public java.lang.String getName() {
		return _plugin.getName();
	}

	/**
	* Sets the name of this plugin.
	*
	* @param name the name of this plugin
	*/
	@Override
	public void setName(java.lang.String name) {
		_plugin.setName(name);
	}

	/**
	* Returns the version of this plugin.
	*
	* @return the version of this plugin
	*/
	@Override
	public java.lang.String getVersion() {
		return _plugin.getVersion();
	}

	/**
	* Sets the version of this plugin.
	*
	* @param version the version of this plugin
	*/
	@Override
	public void setVersion(java.lang.String version) {
		_plugin.setVersion(version);
	}

	/**
	* Returns the map it version of this plugin.
	*
	* @return the map it version of this plugin
	*/
	@Override
	public java.lang.String getMapItVersion() {
		return _plugin.getMapItVersion();
	}

	/**
	* Sets the map it version of this plugin.
	*
	* @param mapItVersion the map it version of this plugin
	*/
	@Override
	public void setMapItVersion(java.lang.String mapItVersion) {
		_plugin.setMapItVersion(mapItVersion);
	}

	/**
	* Returns the context of this plugin.
	*
	* @return the context of this plugin
	*/
	@Override
	public java.lang.String getContext() {
		return _plugin.getContext();
	}

	/**
	* Sets the context of this plugin.
	*
	* @param context the context of this plugin
	*/
	@Override
	public void setContext(java.lang.String context) {
		_plugin.setContext(context);
	}

	/**
	* Returns the active of this plugin.
	*
	* @return the active of this plugin
	*/
	@Override
	public boolean getActive() {
		return _plugin.getActive();
	}

	/**
	* Returns <code>true</code> if this plugin is active.
	*
	* @return <code>true</code> if this plugin is active; <code>false</code> otherwise
	*/
	@Override
	public boolean isActive() {
		return _plugin.isActive();
	}

	/**
	* Sets whether this plugin is active.
	*
	* @param active the active of this plugin
	*/
	@Override
	public void setActive(boolean active) {
		_plugin.setActive(active);
	}

	@Override
	public boolean isNew() {
		return _plugin.isNew();
	}

	@Override
	public void setNew(boolean n) {
		_plugin.setNew(n);
	}

	@Override
	public boolean isCachedModel() {
		return _plugin.isCachedModel();
	}

	@Override
	public void setCachedModel(boolean cachedModel) {
		_plugin.setCachedModel(cachedModel);
	}

	@Override
	public boolean isEscapedModel() {
		return _plugin.isEscapedModel();
	}

	@Override
	public java.io.Serializable getPrimaryKeyObj() {
		return _plugin.getPrimaryKeyObj();
	}

	@Override
	public void setPrimaryKeyObj(java.io.Serializable primaryKeyObj) {
		_plugin.setPrimaryKeyObj(primaryKeyObj);
	}

	@Override
	public com.liferay.portlet.expando.model.ExpandoBridge getExpandoBridge() {
		return _plugin.getExpandoBridge();
	}

	@Override
	public void setExpandoBridgeAttributes(
		com.liferay.portal.model.BaseModel<?> baseModel) {
		_plugin.setExpandoBridgeAttributes(baseModel);
	}

	@Override
	public void setExpandoBridgeAttributes(
		com.liferay.portlet.expando.model.ExpandoBridge expandoBridge) {
		_plugin.setExpandoBridgeAttributes(expandoBridge);
	}

	@Override
	public void setExpandoBridgeAttributes(
		com.liferay.portal.service.ServiceContext serviceContext) {
		_plugin.setExpandoBridgeAttributes(serviceContext);
	}

	@Override
	public java.lang.Object clone() {
		return new PluginWrapper((Plugin)_plugin.clone());
	}

	@Override
	public int compareTo(it.tref.liferay.mapit.map.model.Plugin plugin) {
		return _plugin.compareTo(plugin);
	}

	@Override
	public int hashCode() {
		return _plugin.hashCode();
	}

	@Override
	public com.liferay.portal.model.CacheModel<it.tref.liferay.mapit.map.model.Plugin> toCacheModel() {
		return _plugin.toCacheModel();
	}

	@Override
	public it.tref.liferay.mapit.map.model.Plugin toEscapedModel() {
		return new PluginWrapper(_plugin.toEscapedModel());
	}

	@Override
	public it.tref.liferay.mapit.map.model.Plugin toUnescapedModel() {
		return new PluginWrapper(_plugin.toUnescapedModel());
	}

	@Override
	public java.lang.String toString() {
		return _plugin.toString();
	}

	@Override
	public java.lang.String toXmlString() {
		return _plugin.toXmlString();
	}

	@Override
	public void persist()
		throws com.liferay.portal.kernel.exception.SystemException {
		_plugin.persist();
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}

		if (!(obj instanceof PluginWrapper)) {
			return false;
		}

		PluginWrapper pluginWrapper = (PluginWrapper)obj;

		if (Validator.equals(_plugin, pluginWrapper._plugin)) {
			return true;
		}

		return false;
	}

	/**
	 * @deprecated As of 6.1.0, replaced by {@link #getWrappedModel}
	 */
	public Plugin getWrappedPlugin() {
		return _plugin;
	}

	@Override
	public Plugin getWrappedModel() {
		return _plugin;
	}

	@Override
	public void resetOriginalValues() {
		_plugin.resetOriginalValues();
	}

	private Plugin _plugin;
}