package it.tref.liferay.mapit.map.util;

import it.tref.liferay.mapit.map.constants.PortletKeys;
import it.tref.liferay.mapit.map.service.PluginPortletPreferencesLocalServiceUtil;

import javax.portlet.PortletPreferences;

import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.model.PortletConstants;
import com.liferay.portlet.PortletPreferencesFactoryUtil;

public class MapItPluginPortletPreferencesUtil {

  public static PortletPreferences getPortletPreferences(long companyId, long plid, String portletId, String plugin)
      throws SystemException {

    long ownerId = PortletKeys.PREFS_OWNER_ID_DEFAULT;
    int ownerType = PortletKeys.PREFS_OWNER_TYPE_LAYOUT;

    if (PortletConstants.hasUserId(portletId)) {
      ownerId = PortletConstants.getUserId(portletId);
      ownerType = PortletKeys.PREFS_OWNER_TYPE_USER;
    }

    PortletPreferences preferences = null;
    try {
      preferences =
          PluginPortletPreferencesLocalServiceUtil.getPreferences(companyId, ownerId, ownerType, plid, portletId,
              plugin);
    } catch (PortalException e) {
      preferences = PortletPreferencesFactoryUtil.fromDefaultXML(StringPool.BLANK);
    }

    return preferences;
  }

}
